<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Unix_I2cPort.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_unix___i2c_port_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Unix_I2cPort.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_unix___i2c_port_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef UNIX_I2CPORT_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define UNIX_I2CPORT_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i2c_port_8h.html">I2cPort.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_unix___i2c_port.html">   25</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_unix___i2c_port.html">Unix_I2cPort</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i2c_port.html">I2cPort</a> {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <a class="code" href="classflair_1_1core_1_1_unix___i2c_port.html#aa70ae8845327e8b5570c5bf45ba8b345">Unix_I2cPort</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string port_name, std::string device);</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <a class="code" href="classflair_1_1core_1_1_unix___i2c_port.html#adfddddb16245bbf4860495035bf8acac">~Unix_I2cPort</a>();</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classflair_1_1core_1_1_unix___i2c_port.html#a226fe4821954a937986dd55dc13ea3d8">SetSlave</a>(uint16_t address);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_unix___i2c_port.html#a7eb6ae7b58b055663cd548da7fd77b36">SetRxTimeout</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> timeout_ns);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_unix___i2c_port.html#a5bafddf9907a657fecbba03cee6854af">SetTxTimeout</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> timeout_ns);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  ssize_t <a class="code" href="classflair_1_1core_1_1_unix___i2c_port.html#ae46ea721f4ed1283e52884dd932c42e4">Write</a>(<span class="keyword">const</span> <span class="keywordtype">void</span> *buf, <span class="keywordtype">size_t</span> nbyte);</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  ssize_t <a class="code" href="classflair_1_1core_1_1_unix___i2c_port.html#a68edd3f3770e836a29e4c4a126310e48">Read</a>(<span class="keywordtype">void</span> *buf, <span class="keywordtype">size_t</span> nbyte);</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">int</span> fd;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;};</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#endif // UNIX_I2CPORT_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_unix___i2c_port_html_adfddddb16245bbf4860495035bf8acac"><div class="ttname"><a href="classflair_1_1core_1_1_unix___i2c_port.html#adfddddb16245bbf4860495035bf8acac">flair::core::Unix_I2cPort::~Unix_I2cPort</a></div><div class="ttdeci">~Unix_I2cPort()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_unix___i2c_port_html_aa70ae8845327e8b5570c5bf45ba8b345"><div class="ttname"><a href="classflair_1_1core_1_1_unix___i2c_port.html#aa70ae8845327e8b5570c5bf45ba8b345">flair::core::Unix_I2cPort::Unix_I2cPort</a></div><div class="ttdeci">Unix_I2cPort(const Object *parent, std::string port_name, std::string device)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="classflair_1_1core_1_1_unix___i2c_port_html_a5bafddf9907a657fecbba03cee6854af"><div class="ttname"><a href="classflair_1_1core_1_1_unix___i2c_port.html#a5bafddf9907a657fecbba03cee6854af">flair::core::Unix_I2cPort::SetTxTimeout</a></div><div class="ttdeci">void SetTxTimeout(Time timeout_ns)</div><div class="ttdoc">Set TX timeout. </div></div>
<div class="ttc" id="_i2c_port_8h_html"><div class="ttname"><a href="_i2c_port_8h.html">I2cPort.h</a></div><div class="ttdoc">Base class for i2c port. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_unix___i2c_port_html_ae46ea721f4ed1283e52884dd932c42e4"><div class="ttname"><a href="classflair_1_1core_1_1_unix___i2c_port.html#ae46ea721f4ed1283e52884dd932c42e4">flair::core::Unix_I2cPort::Write</a></div><div class="ttdeci">ssize_t Write(const void *buf, size_t nbyte)</div><div class="ttdoc">Write datas. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_unix___i2c_port_html_a226fe4821954a937986dd55dc13ea3d8"><div class="ttname"><a href="classflair_1_1core_1_1_unix___i2c_port.html#a226fe4821954a937986dd55dc13ea3d8">flair::core::Unix_I2cPort::SetSlave</a></div><div class="ttdeci">int SetSlave(uint16_t address)</div><div class="ttdoc">Set slave&#39;s address. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_unix___i2c_port_html_a68edd3f3770e836a29e4c4a126310e48"><div class="ttname"><a href="classflair_1_1core_1_1_unix___i2c_port.html#a68edd3f3770e836a29e4c4a126310e48">flair::core::Unix_I2cPort::Read</a></div><div class="ttdeci">ssize_t Read(void *buf, size_t nbyte)</div><div class="ttdoc">Read datas. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i2c_port_html"><div class="ttname"><a href="classflair_1_1core_1_1_i2c_port.html">flair::core::I2cPort</a></div><div class="ttdoc">Base class for i2c port. </div><div class="ttdef"><b>Definition:</b> I2cPort.h:31</div></div>
<div class="ttc" id="classflair_1_1core_1_1_unix___i2c_port_html"><div class="ttname"><a href="classflair_1_1core_1_1_unix___i2c_port.html">flair::core::Unix_I2cPort</a></div><div class="ttdoc">Class for unix serial port. </div><div class="ttdef"><b>Definition:</b> Unix_I2cPort.h:25</div></div>
<div class="ttc" id="classflair_1_1core_1_1_unix___i2c_port_html_a7eb6ae7b58b055663cd548da7fd77b36"><div class="ttname"><a href="classflair_1_1core_1_1_unix___i2c_port.html#a7eb6ae7b58b055663cd548da7fd77b36">flair::core::Unix_I2cPort::SetRxTimeout</a></div><div class="ttdeci">void SetRxTimeout(Time timeout_ns)</div><div class="ttdoc">Set RX timeout. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_unix___i2c_port_8h.html">Unix_I2cPort.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
